CInputFile Class Reference
Input/output of files

A stdio FILE for opening a file for reading. More...

`#include <mia/core/file.hh>`

Inheritance diagram for CInputFile:
[legend]
Collaboration diagram for CInputFile:
[legend]

## Public Member Functions

| CInputFile (const std::string &filename)
| CInputFile (const std::string &filename, bool from_stdin)
Public Member Functions inherited from CFile
| CFile (const std::string &filename, bool from_stdio, bool write)
| operator PFILE ()
bool | operator! () const
virtual | ~CFile () throw ()

## Detailed Description

A stdio FILE for opening a file for reading.

A simple wrapper for the stdio FILE type that handles opening and closing for reading and takes care, whether stdin should be used

Definition at line 80 of file file.hh.

## Constructor & Destructor Documentation

## CInputFile() [1/2]

CInputFile::CInputFile | ( | const std::string & | filename | ) |

constructor opens the file

Parameters

  filename | is the name of the file to be openend, if it is "-" then stdin is used

## CInputFile() [2/2]

CInputFile::CInputFile | ( | const std::string & | filename,
|  | bool | from_stdin )

constructor opens the file

Parameters

  filename | is the name of the file to be openend
  from_stdin | force usage of stdin

The documentation for this class was generated from the following file:

- file.hh